<ion-header>
  <ion-toolbar color="primary">
    <ion-title>Reddit</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-list>
    <ion-item>
      <ion-label>Category</ion-label>
      <ion-select (ionChange)="changeCategory()"
                  [(ngModel)]="category"
                  name="category"
                  interface="popover">
        <ion-select-option value="pcmasterrace">PC Master Race</ion-select-option>
        <ion-select-option value="ProgrammerHumor">Programmer Humor</ion-select-option>
        <ion-select-option value="MonsterHunter">Monster Hunter</ion-select-option>
        <ion-select-option value="Food">Food</ion-select-option>
      </ion-select>
    </ion-item>
  </ion-list>
  <ion-list>
    <ion-item *ngFor="let item of items">
      <ion-thumbnail *ngIf="item.data.thumbnail" slot="start">
        <img src="{{item.data.thumbnail}}" alt="Thumbnail"/>
      </ion-thumbnail>
      <h3>{{item.data.title}}</h3>
      <ion-grid>
        <ion-row>
          <ion-col>
            <ion-icon name="thumbs-up"></ion-icon>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
            {{item.data.score}}
          </ion-col>
        </ion-row>
      </ion-grid>
      <ion-button (click)="viewItem(item.data)">View</ion-button>
    </ion-item>
  </ion-list>
</ion-content>
